

/// FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
/// License: Creative Commons Attribution-Noncommercial-Share Alike 3.0  Germany, see README file that comes with this work
/// Author: Klaus Haeming


#ifndef ADORE_NVIEWFILTERRANSACCOMMON_H
#define ADORE_NVIEWFILTERRANSACCOMMON_H

namespace adore
{
	namespace core
	{

		enum RANSAC_OPT_METHOD
		{
			NONE,
			ITERATIVE,
			INNER_RANSAC
		};

		enum MODEL_TYPE { MODEL_TYPE_H, MODEL_TYPE_F };

		template<class Solution> class SolutionCalculator {};
		template<class Solution> inline  int getOuterSampleSize() {return 0;}
		template<class Solution> inline  int getInnerSampleSize() {return 0;}

	}
}

#endif
