

/// FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
/// License: Creative Commons Attribution-Noncommercial-Share Alike 3.0  Germany, see README file that comes with this work
/// Author: Sergey Cheremukhin


#ifndef CLOCK_H
#define CLOCK_H

#include <ctime>

namespace helper
{

	class Clock
	{
			const char* message;
			clock_t start, end;
		public:
			Clock( const char* msg = "time elapsed" ) : message( msg ) { start = clock(); }
			~Clock()
			{
				end = clock();
				double time_elapsed = double( end - start ) / CLOCKS_PER_SEC;
				printf( "%s: %f\n", message, time_elapsed );
			}
	};

}

#endif
