

/// FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
/// License: Creative Commons Attribution-Noncommercial-Share Alike 3.0  Germany, see README file that comes with this work
/// Author: Sergey Cheremukhin


#ifndef ADORE_TRACKER_H
#define ADORE_TRACKER_H

#include <adrcore/types/commontypes.h>

namespace adore
{
	namespace core
	{
		class NViewMap;
		template<class T> class View;

		class Tracker
		{
			public:
				virtual ~Tracker() {}
				virtual void track ( NViewMap& nviewmap ) = 0;
			protected:
				typedef uint8_t imgT;
				typedef View<imgT> ViewT;
		};

	} //core
} //adore

#endif //ADORE_TRACKER_H
