

/// FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
/// License: Creative Commons Attribution-Noncommercial-Share Alike 3.0  Germany, see README file that comes with this work
/// Author: Sergey Cheremukhin


#ifndef FOLDERDIALOG_H
#define FOLDERDIALOG_H

#include <QtGui/QDialog>
#include <QtCore/QString>

class DirTreeWidget;

class FolderDialog : public QDialog
{
	Q_OBJECT

	FolderDialog( const QString& filters, QWidget* parent, Qt::WindowFlags flags = 0 );
	FolderDialog( const FolderDialog& ) {}
	~FolderDialog() {}

	void cd( const QString& path );

	DirTreeWidget * view;
	QString selectedPath;

private slots:
	void slotFolderSelected( const QString & path );

public:
	static QString getExistingDirectory(
			QWidget* parent = 0, const QString& caption = QString(),
			const QString& dir = QString(), const QString& filter = QString() );

protected:
	void showEvent( QShowEvent* event );
	void accept();
};

#endif //FOLDERDIALOG_H

