

/// FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
/// License: Creative Commons Attribution-Noncommercial-Share Alike 3.0  Germany, see README file that comes with this work
/// Author: Klaus Haeming


#include "modifier.h"

namespace adore
{

	namespace core
	{

		/*
		void Modifier::modifyNViewSets ( NViewMap &nviewmap, NViewOperator &op )
		{
			NViewMap::NViewIterator it = nviewmap.getEntriesBegin();
			for ( ; it != nviewmap.getEntriesEnd(); ++it )
			{
				if ( ( *it )->isNViewSet() ) op.modify ( **it );
			}
		}

		///no NViewSets!
		void Modifier::modifyNViews ( NViewMap &nviewmap, NViewOperator &op )
		{
			NViewMap::NViewIterator it = nviewmap.getEntriesBegin();
			for ( ; it != nviewmap.getEntriesEnd(); ++it )
			{
				if ( ! ( *it )->isNViewSet() ) op.modify ( **it );
			}
		}*/

		void Modifier::modifyAll ( NViewMap &map, NViewOperator &op )
		{
			NViewMap::EntryIterator it = map.getEntriesBegin();
			for ( ; it != map.getEntriesEnd(); ++it )
			{
				op.modify ( **it );
			}
		}

		void Modifier::modifyNumViews ( NViewMap &nviewmap, uint numViews, NViewOperator &op )
		{
			NViewMap::NViewIterator it = nviewmap.getEntriesBegin();
			for ( ; it != nviewmap.getEntriesEnd(); ++it )
			{
				if ( ( *it )->getNumViews() == numViews ) op.modify ( **it );
			}
		}


	}
}
