

/// FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
/// License: Creative Commons Attribution-Noncommercial-Share Alike 3.0  Germany, see README file that comes with this work
/// Author: Klaus Haeming


#ifndef ADORE_NVIEWNVIEWOPERATOR_H
#define ADORE_NVIEWNVIEWOPERATOR_H

#include <adrcore/types/nview.h>

namespace adore
{
	namespace core
	{

		/**
		 
		*/
		class NViewOperator
		{
			public:
				NViewOperator() : state_ok(true)
				{
					;
				}

				virtual ~NViewOperator()
				{
					;
				}

				virtual void modify( NView &nview ) = 0;

				virtual NViewOperator *clone()
				{
					error( "missing implementation\n" );
				}

				bool is_ok() const { return state_ok; }

		protected:
				bool state_ok;
		};

	}

}

#endif
