

/// FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
/// License: Creative Commons Attribution-Noncommercial-Share Alike 3.0  Germany, see README file that comes with this work
/// Author: Sergey Cheremukhin


#ifndef IFZSTREAM_H
#define IFZSTREAM_H

#include <iostream>
#include <fstream>
#include <string>

#include "zinbuf.h"

namespace zstream
{

	using namespace std;

	class ifzstream : public std::istream
	{
		public:
			ifzstream();
			explicit ifzstream( const char* name );
			void open( const char* name );
			bool is_open()const;
			void close();
		private:
			zinbuf buffer;
	};

} //zstream

#endif // IFZSTREAM_H
