

/// FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
/// License: Creative Commons Attribution-Noncommercial-Share Alike 3.0  Germany, see README file that comes with this work
/// Author: Sergey Cheremukhin


#ifndef OFZSTREAM_H
#define OFZSTREAM_H

#include <iostream>
#include <fstream>
#include <string>

#include "zoutbuf.h"

namespace zstream
{

	using namespace std;

	class ofzstream : public std::ostream
	{
		public:
			ofzstream();
			explicit ofzstream( const char* name );

			void open( const char* name );
			void close();
		private:
			zoutbuf buffer;
	};

} //zstream

#endif // OFZSTREAM_H
