

/// FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
/// License: Creative Commons Attribution-Noncommercial-Share Alike 3.0  Germany, see README file that comes with this work
/// Author: Klaus Haeming


#include "feature.h"
#include <adrcore/util/numerator.h>

namespace adore
{

	namespace core
	{

		Numerator<uint> featureNumerator;

		uint nextFeatureId()
		{
			return featureNumerator();
		}

		void leastFeatureId( uint id )
		{
			featureNumerator.atLeast( id );
		}
	}

}
