

/// FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
/// License: Creative Commons Attribution-Noncommercial-Share Alike 3.0  Germany, see README file that comes with this work
/// Author: Klaus Haeming


#ifndef ADORE_COREKNITPROXY_H
#define ADORE_COREKNITPROXY_H

#include <adrcore/viewmatch/viewrelater.h>
#include <adrcore/types/nviewmap.h>
#include <map>
#include <vector>

namespace adore
{

	namespace core
	{

		/**
		 * A convenience class that creates thumbnail views to speed up viewknitting
			 
		*/
		class ViewRelateThumbsProxy : public ViewRelater
		{
			private:
				ViewRelater *relater;
			public:
				ViewRelateThumbsProxy( ViewRelater *r ):relater( r ) {;}

				void createRelations ( ViewBase **vit, int numViews, ViewRelations &vrela );
		};

	}

}

#endif
